public class Membrane {
	private List<MembraneLabel> childrenLabels;
	private List<Rule> rules;
	private HashMultiset contents;
	private HashMultiset incomingObjects;
	private MembraneLabel label;
	private MembraneLabel parentLabel;
	private HashMap<MembraneLabel, Integer> antecedents;
	private List<MembraneLabel> descendants;
	private int appliedRules;//number of applied rules in this step

	public Membrane()
	//test if the membrane contains a multiset
	public boolean contains(HashMultiset multiset)
	//store a  multiset that resulted in this evolution step
	public void enqueMultiset(HashMultiset multiset)
	//add the objects that resulted in this evolution step
	public void endEvolution()
	//return the list of applicable rules
	public List<Rule> getApplicableRules()
}
