public class PsJob{
	private GridTaskSession session;
	private PsBarrier barrier;
	private Membrane membrane;

	public PsJob(Membrane membrane)
	public Serializable execute() throws GridException {
		session.addAttributeListener(barrier, true);
		boolean terminate = false;
		EvolutionVistior evolver;
			do {
				terminate = barrier.waitAt();
				if (!terminate) {
					evolver.visit(membrane);
					terminate = (evolver.getAppliedRules() == 0);
					barrier.reset();
				}
				signalDescendants(terminate);
			} while (!terminate);
		return membrane;
	}
}
