public class MultisetConstraint extends RuleConstraint {
	private HashMultiset required;
	private HashMultiset result;

	public MultisetConstraint()
	public void apply(Membrane membrane) {
		membrane.removeContents(required);
		if (result != null) {
			membrane.enqueMultiset(result);
		}
	}
	public boolean check(Membrane membrane) {
		return membrane.contains(required);
	}
}
