public class PsTask{
	public MembraneSystem reduce(List results){
		MembraneSystem result = new MembraneSystem();
		int appliedRules = 0;
		for (GridJobResult gridJobResult : results) {
			Membrane data = gridJobResult.getData();
			result.getMembranes().put(data.getLabel(), data);
			appliedRules += data.getAppliedRules();
		}
		result.setAppliedRules(appliedRules);
		return result;
	}
	protected List<GridJob> split(MembraneSystem arg){
		List<PsJob> jobs = new ArrayList<PsJob>();
		for(Membrane mbr : arg.getMembranes().values()){
			jobs.add(new PsJob(mbr));
		}
		return jobs;
	}
}
